update _sv_pedido set estado='IN' where id_pedido>=68305;

call spMante_Facturar_Cambios(68305, 3, 11, 4, 6, '2014-01-10', 1);

DROP PROCEDURE IF EXISTS spMante_Facturar_Cambios;
CREATE PROCEDURE spMante_Facturar_Cambios(
  varPedido     bigint,
  varPuntoVenta int,
  varSerieCam   int,
  varFecha      date,
  varUsuario    int  
  )
BEGIN  
	DECLARE varNumVenta, varNumPago bigint;
  DECLARE varEmpresa, varAgencia, varAlmacen, varTipoDoc, varCondicion, varCliente, varLista, varVendedor int DEFAULT NULL;
  DECLARE varRuta, varNumSerie, varNumSecuencia varchar(20);
  DECLARE varGlosa    text;
  DECLARE varFlagCon  varchar(2) DEFAULT IFNULL((select valor from _sys_config where ide='FLAVEN'),'NO');
  DECLARE varTipoCon  varchar(3);
  DECLARE varMinimo, varMonto, varSubTotal, varIgv double;
  DECLARE varFechaVenc date;
  DECLARE varItemDoc, varItemPed, varCodSerie int;
  /*Variables para Contralorar Cantidad de Documentos en los que se divira el Pedido*/
  DECLARE varNumDoc, varNumItemDoc int;
  DECLARE varI int;
  
  /* Cursor para Consultar detalle del Pedido */
  DECLARE varArticulo, varUM varchar(10);
  DECLARE varCantidad, varPrecio double;
  DECLARE varLote     varchar(20);
  DECLARE varFechaVen date;
  DECLARE varTipoDet  char(1);
  DECLARE varIde int;

  DECLARE done INT DEFAULT 0;
	DECLARE cur1 CURSOR FOR
      select @rowid:=@rowid+1 as rowid, P.id_almacen, D.id_producto, D.ca